---
title: StorageQuota.supportedTypes
slug: Web/API/StorageQuota/supportedTypes
tags:
  - Property
  - Quota Management API
  - Reference
  - StorageQuota
---
<p>{{SeeCompatTable}}{{APIRef("Quota Management API")}}</p>

<p><span class="seoSummary">The <strong><code>supportedTypes</code></strong> read-only property of the {{domxref("StorageQuota")}} interface returns a list of the available storage types.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var storageTypes = StorageQuota.supportedTypes</pre>

<h3 id="Value">Value</h3>

<p>A frozen {{jsxref("Array")}} of available storage types.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Quota Management','#widl-StorageQuota-supportedTypes','supportedTypes')}}</td>
   <td>{{Spec2('Quota Management')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.StorageQuota.supportedTypes")}}</p>
</div>
